> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get documentv1beta1 comments

> Lists the comments put on the document.



## OpenAPI

````yaml /openapis/documentId.json get /document/v1beta1/{documentId}/comments
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: documentId
    description: >-
      Lets you read and update document properties, create new documents, delete
      documents, manage document versions, ...  (beta version, subject to
      change)
paths:
  /document/v1beta1/{documentId}/comments:
    get:
      tags:
        - documentId
      description: Lists the comments put on the document.
      operationId: documentId:v1beta1.Comments.list
      parameters:
        - $ref: '#/components/parameters/documentId_path_parameter'
        - name: limit
          in: query
          description: 'The maximum number of comments per page. (Default: 50)'
          required: false
          schema:
            type: integer
            format: int32
            default: 50
        - $ref: '#/components/parameters/nextPageToken_query_parameter'
        - $ref: '#/components/parameters/pageToken_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiCommentList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCommentList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    documentId_path_parameter:
      name: documentId
      in: path
      description: The ID of the document
      required: true
      schema:
        type: string
    nextPageToken_query_parameter:
      name: nextPageToken
      in: query
      description: DEPRECATED. Use pageToken instead.
      required: false
      schema:
        type: string
    pageToken_query_parameter:
      name: pageToken
      in: query
      description: >-
        The token for continuing a previous list request on the next page. This
        should be set to the value of 'nextPageToken' from the previous
        response.
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiCommentList:
      type: object
      properties:
        comments:
          type: array
          items:
            $ref: '#/components/schemas/ApiComment'
        kind:
          type: string
        nextPageToken:
          type: string
    ApiComment:
      type: object
      properties:
        actionAppliedName:
          type: string
          description: >-
            The transition action name for comments added on transition
            (read-only field)
        actionAppliedName_i18n:
          type: string
          description: >-
            The transition action internationalized name for comments added on
            transition (read-only field)
        author:
          $ref: '#/components/schemas/ApiBaseUserProfile'
        createdTime:
          type: string
          format: date-time
          description: The time at which the comment was created (read-only field)
        fromStateName:
          type: string
          description: >-
            The name of the origin state for comments added on transition
            (read-only field)
        fromStateName_i18n:
          type: string
          description: >-
            The internationalized name of the origin state for comments added on
            transition (read-only field)
        id:
          type: string
          description: The ID of the comment (read-only field)
        kind:
          type: string
        message:
          type: string
          description: The content of the comment (read-only field after creation for now)
        modifiedTime:
          type: string
          format: date-time
          description: >-
            The time at which the comment was last modified (read-only field,
            for now equals to createdTime)
        parallelValidationStatus:
          type: string
          description: >-
            The status of the parallel transition (PENDING, COMPLETED,
            CANCELLED) for comments added on transition (read-only field)
          enum:
            - PENDING
            - COMPLETED
            - CANCELLED
        replies:
          type: array
          description: Not supported for now
          items:
            $ref: '#/components/schemas/ApiCommentReply'
        toStateName:
          type: string
          description: >-
            The name of the reached state for comments added on transition
            (read-only field)
        toStateName_i18n:
          type: string
          description: >-
            The internationalized name of the reached state for comments added
            on transition (read-only field)
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
    ApiCommentReply:
      type: object
      properties:
        author:
          $ref: '#/components/schemas/ApiBaseUserProfile'
        createdTime:
          type: string
          format: date-time
        id:
          type: string
        kind:
          type: string
        message:
          type: string
        modifiedTime:
          type: string
          format: date-time
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````